/*
Theme Name: itsoft child
Tags: Saját scrollUp script, Slick slider animáció, Tablet/Mobil header ikon
Template: itsoft
Version: 1.0.0
*/

:root {
  --telco-primary-color: #C31337;
  --telco-primary-color-dark: #8C1F28;
}

::selection {
    background: var(--telco-primary-color);
    color: white;
    text-shadow: none;
}

@media (max-width: 768px) {
    html, body {
        -webkit-user-select: none;
        user-select: none;
    }
}

/* Automata nagy kezdőbetű letiltása magyar nyelvnél */
html[lang="hu-HU"] .testi_title h2,
html[lang="hu-HU"] .section-title .title h2,
html[lang="hu-HU"] .section-title .title h3,
html[lang="hu-HU"] .featur ul li,
html[lang="hu-HU"] .service-box-content.twenty-six .service-btn a {
    text-transform: none;
}

.allow-user-select {
    -webkit-user-select: text;
    user-select: text;
}

.text-align-justify {
    text-align: justify;
}

/* Amikor valamit sunyiban bent akarok hagyni elementorban, de nem szeretnem, hogy latszodjon */
.hide-element {
    display: none !important;
}

#scrollUp {
    width: 35px;
    height: 35px;
    line-height: 35px;
}

@media only screen and (max-width: 479px) {
    #scrollUp {
        right: 15px !important;
        bottom: 15px !important;
    }
}

/* Magyar szovegezessel mar uj sorba kerulne a nyelv valaszto zaszlo */
.itsoft_menu ul li a {
    margin: 25px 15px;
}

/* Service box ne latszodjon a mozgo csik */
.service-box-content.twenty-six .service-bar {
    display: none;
}
.service-box-content.twenty-six .service-top-text {
    margin-bottom: 20px;
}

/* Slick slider delay nelkuli animacio (Home/Services)*/
.dreamit-slick-slider .hero-text-wrap h4 {
	-webkit-animation: 0.8s 0.0s fadeInUp both;
	animation: 0.8s 0.0s fadeInUp both;
}

.dreamit-slick-slider .hero-text-wrap h1 {
    -webkit-animation: 0.8s 0.6s fadeInUp both;
    animation: 0.8s 0.6s fadeInUp both;
}

.dreamit-slick-slider .hero-text-wrap p {
    -webkit-animation: 0.8s 0.8s fadeInUp both;
    animation: 0.8s 0.8s fadeInUp both;
}

.dreamit-slick-slider .hero-text-wrap .btn{
    -webkit-animation: 0.8s 1s fadeInUp both;
    animation: 0.8s 1s fadeInUp both;
}


/* Tablet/Mobil header */
.mean-container .mean-bar {
    background: var(--telco-primary-color-dark);
}

.mobile_logo_area {
    display: none !important;
}

.mean-container .mean-bar::before {
    background: url(http://r4d3w54wr.telcotrend.hu/wp-content/uploads/2023/09/Telcotrend_logo_primary_highquality_white_small.png);
    background-size: contain;
    height: 50px;
    width: 143px;
    top: 6px !important;
}

/* Testimonial author thumb icon */
.single_testimonial.style7 .author:before {
    background: url('http://r4d3w54wr.telcotrend.hu/wp-content/uploads/2025/10/quote-1.png');
}


/* Navbar kivalasztott oldal kijeloles */
.itsoft_menu > ul > .current-menu-item > a {
    color: var(--telco-primary-color-dark);
}
/* Tablet/Mobil nezetben */
.mean-container .mean-nav ul .current-menu-item a {
    color: var(--telco-primary-color-dark);
}

/* Sajat JS script adja hozza*/
.itsoft_menu > ul > .current-menu-parent > a {
    color: var(--telco-primary-color-dark);
}
/* Tablet/Mobil nezetben */
.mean-container .mean-nav ul .current-menu-parent a {
    color: var(--telco-primary-color-dark);
}

/* A Solutions az custom link, nem page (mivel nincs hozza tartozo nezet) */
.main-menu > ul > .menu-item-type-custom:hover {
    cursor: default;
}

/* Icon box description word-break */
.elementor-icon-box-description {
  word-break: break-word;
  overflow-wrap: break-word;
}

/* Team widget socal linkek nagyon lent voltak a vezerlo gombhoz kepest */
.team.style5 ul.social-icon {
    top: 30px;
}

.team.style5 .team-content:before {
    /*background: black !important;*/
    background: url('http://r4d3w54wr.telcotrend.hu/wp-content/uploads/2022/08/process-bg.jpg');
}

.elementor-element .elementor-social-icon:hover svg {
    fill: var(--telco-primary-color) !important;
}

/* Icon box style 4, nem kell az a random negyzet a kartyak koze */
.icon-box.style-four .icon-box-icon::before {
    content: none;
}

/* Sidebar-on le latszodjon a telefon uresen */
.sidebar-contact-info ul li .flaticon-call {
    display: none;
}

/* Infobar-on ikonok nem jelentek meg*/
.fa, .fas {
    font-family: 'FontAwesome' !important;
}

/* Tabs widget sajat design */
#sticky-tabs .elementor-widget-n-tabs .e-n-tabs {
    position: relative;
}

/* TODO valamiert 1200px-nel magasabb lesz a header*/
.sticky-tabs .elementor-widget-n-tabs .e-n-tabs-heading {
    position: sticky;
    top: 113px; /* Header magassag */
    z-index: 5;
}

@media (max-width: 992px) {
    .sticky-tabs .elementor-widget-n-tabs .e-n-tabs-heading {
        top: 64px !important; /* Header magassag */
    }
}

@media (max-width: 768px) {
    .sticky-tabs .elementor-widget-n-tabs .e-n-tabs-heading {
        top: 0px !important; /* Header magassag */
    }
}

.brand-carousel {
    height: 70px;
}

/* Service box hover esetén fekete sarkok */
.service-box-content.twenty-six .single-service {
    border-radius: 0;
}

/* Sidebar-ra nincs szükség */
.itsoft-main-menu .sidebar {
    display: none;
}

/* Elfsight LinkedIn posztok Share gomb hattere az ItSoft theme miatt piros */
button[class^="ShareButton__"] {
  background: transparent;
}

button[class^="ShareButton__"]:hover {
  background: transparent;
}

/* Section title-ben sorkizárt description */
.justify-description .section-title p {
    text-align: justify;
}

.style8 .section-title.t_center h5:before {
    background: url('http://r4d3w54wr.telcotrend.hu/wp-content/uploads/2025/11/section-sub-shape1.png');
}

.style8 .section-title.t_center h5:after {
    background: url('http://r4d3w54wr.telcotrend.hu/wp-content/uploads/2025/11/section-sub-shape2.png');
}

/* Header logo kozepre */
.itsoft_nav_area .logo a {
    margin-top: 10px;
}

/* Teljesen szelessegu banner szovegezese */
.banner-text {
    color: white;
    text-align: center;
    font-size: 27px;
}


/* Testimonial szöveg */
.text-highlighted-testimonial .testi_text {
    background-color: white;
    padding: 40px;
    box-shadow: 0 0 10px 0 rgba(0, 0, 0, 0.2);
    border-radius: 5px;
    font-size: 17px;
}

/* Services > Slick slider */
.services-slick-slider .style-three .hero-text-wrap {
    padding: 45px 30px;
}

@media (max-width: 767px) {
    .services-slick-slider .style-three .hero-text-wrap {
        padding: 45px 20px;
    }   
    
    .services-slick-slider .style-three .hero-text-wrap h1 {
        font-size: 24px !important; /* Sajnos a sablonban is important */
    }
    
    .services-slick-slider .style-three .hero-text-wrap p {
        font-size: 18px !important; /* Sajnos a sablonban is important */
    }
}

/* Services > What We Provide tab nezet */
.what-we-provide {
    margin-bottom: 20px;
}

.what-we-provide ul {
    margin-inline-start: 40px;
}

@media (max-width: 767px) {
    .what-we-provide .elementor-widget-text-editor,
    .what-we-provide .service-description {
        overflow-y: visible !important;
        min-height: fit-content !important;
        max-height: fit-content !important;
    }
 
    .what-we-provide .elementor-widget-n-tabs .e-n-tabs-heading {
        background: white;
        position: sticky;
        top: 0;
        z-index: 1;
    }
}

.what-we-provide .elementor-widget-n-tabs .e-n-tabs-heading {
    margin-bottom: 40px;
}

.service-description {
    text-align: justify;
    color: #7A7A7A;
    padding: 10px;
}

.what-we-provide .elementor-widget-text-editor,
.what-we-provide .service-description {
    min-height: 450px;
    max-height: 450px;
    overflow-y: auto;
}

.what-we-provide img {
    min-width: 450px;
    max-width: 450px;
    min-height: 450px;
    max-height: 450px;
}

@media (max-width: 767px) {
    .what-we-provide .elementor-widget-n-tabs .e-n-tab-title {
        min-width: 150px;
        min-height: unset;
        max-width: unset;
        max-height: unset;
        padding: 0;
        border: 1px dotted var(--telco-primary-color);
    }
    
    .what-we-provide .elementor-widget-n-tabs .e-n-tabs-content {
        box-shadow: 0 0 15px rgba(12, 90, 219, 0.10);
        padding: 10px;
        background: #fff;
    }
}

@media (min-width: 768px) {
    .what-we-provide .elementor-widget-n-tabs .e-n-tab-title {
        min-width: 150px;
        min-height: 150px;
        max-width: 150px;
        max-height: 150px;
        padding: 15px;
        border: 1px dotted var(--telco-primary-color);
    }
    
    .what-we-provide .elementor-widget-n-tabs .e-n-tabs-content {
        box-shadow: 0 0 15px rgba(12, 90, 219, 0.10);
        padding: 25px;
        background: #fff;
    }
}

.what-we-provide .elementor-widget-n-tabs .e-n-tab-title-text {
    font-size: 20px;
}

.what-we-provide .elementor-widget-n-tabs .e-n-tab-title[aria-selected=false] {
    background-color: white;
    color: var(--telco-primary-color);

}

/* Services testimonial */
.testimonial-style-six .single_testimonial {
    box-shadow: 0 0 10px;
}

.testimonial-style-six .single_testimonial::after {
    background: var(--telco-primary-color);
}

.testimonial-style-six .single_testimonial:hover .testi_title span {
    color: white;
}

.testimonial-style-six .testi_thumb:before {
    background: url(http://r4d3w54wr.telcotrend.hu/wp-content/uploads/2025/10/quote-1.png);
    height: 38px;
    width: 38px;
    right: 0px;
    bottom: -12px;
}

.testimonial-style-six .testi_thumb img {
    width: 38px;
}

.testimonial-style-six .testi_content .testi_text {
    color: #7A7A7A;
}

.owl-stage-overflow-fix .owl-stage-outer {
    overflow-x: clip;
    overflow-y: visible;
}

@media only screen and (min-width: 320px) and (max-width: 419px) {
    .owl-dots {
        display: inherit !important;
        bottom: -25px;
    }
}

/* Orca */
.style-11 .section-title h5:before {
    background: url(http://r4d3w54wr.telcotrend.hu/wp-content/uploads/2025/11/section.png);
    background-repeat: no-repeat;
}

.style-11 .section-title h5:after {
    background: url(http://r4d3w54wr.telcotrend.hu/wp-content/uploads/2025/11/section.png);
    background-repeat: no-repeat;
}

.orca-custom-pricing-table .pricing_head {
    display: none;
}

.orca-custom-pricing-table .pricing_bottom {
    display: none;
}

.orca-custom-pricing-table .single_pricing.five {
    box-shadow: 0px 3px 10px 0px rgba(0, 0, 0, 0.5);
    border-radius: 0;
}

.orca-custom-pricing-table .single_pricing.five .pricing_top_bar {
    background: url(http://r4d3w54wr.telcotrend.hu/wp-content/uploads/2025/11/pricing_table.png);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    border-radius: 0;
}

.orca-custom-pricing-table .single_pricing.five .pricing_top_bar:before {
    background: url(http://r4d3w54wr.telcotrend.hu/wp-content/uploads/2025/11/pricing_table_highlighted.png);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    border-radius: 0;
}

.orca-use-cases-tabs .e-n-tabs-content {
    box-shadow: 0 0 15px rgba(12, 90, 219, 0.10);
    padding: 25px 40px;
}

.orca-use-cases-tabs .e-n-tab-title {
    border: 2px solid var(--telco-primary-color);
    transition: none;
    transition: background 0.3s, color 0.3s;
}

.orca-use-cases-tabs .e-n-tab-title:hover,
.orca-use-cases-tabs .e-n-tab-title:focus{
    border: 2px solid var(--telco-primary-color);
}

.orca-use-cases-tabs .e-n-tab-title[aria-selected=false] {
    color: var(--telco-primary-color);
    background: transparent;
    transition: none;
    transition: background 0.3s, color 0.3s;
}
























